data:extend(
{
  {
    type = "item",
    name = "small-iron-chunk",
    icon = "__oreprocessing__/graphics/icons/iron-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[small-iron-chunk]",
    stack_size = 200
  },
  {
    type = "item",
    name = "small-copper-chunk",
    icon = "__oreprocessing__/graphics/icons/copper-ore.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "f[small-copper-chunk]",
    stack_size = 200
  },
  {
    type = "item",
    name = "pulverizer",
    icon = "__oreprocessing__/graphics/icons/pulverizer.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "c[pulverizer]",
    place_result = "pulverizer",
    stack_size = 50
  },
  {
    type = "item",
    name = "orewasher",
    icon = "__base__/graphics/icons/chemical-plant.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "e[orewasher]",
    place_result = "orewasher",
    stack_size = 10
  },
  {
    type = "item",
    name = "small-clean-iron-chunk",
    icon = "__oreprocessing__/graphics/icons/clean-iron-chunk.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[small-clean-iron-chunk]",
    stack_size = 200
  },
  {
    type = "item",
    name = "small-clean-copper-chunk",
    icon = "__oreprocessing__/graphics/icons/clean-copper-chunk.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "f[small-clean-copper-chunk]",
    stack_size = 200
  },
  {
    type = "item",
    name = "centrifuge",
    icon = "__base__/graphics/icons/assembling-machine-2.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "e[centrifuge]",
    place_result = "centrifuge",
    stack_size = 10
  },
  {
    type = "item",
    name = "iron-dust",
    icon = "__oreprocessing__/graphics/icons/iron-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[iron-dust]",
    stack_size = 200
  },
  {
    type = "item",
    name = "copper-dust",
    icon = "__oreprocessing__/graphics/icons/copper-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "f[copper-dust]",
    stack_size = 200
  },
  {
    type = "item",
    name = "crystallizer",
    icon = "__base__/graphics/icons/assembling-machine-2.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "e[crystallizer]",
    place_result = "crystallizer",
    stack_size = 10
  },
  {
    type = "item",
    name = "crystallized-iron-dust",
    icon = "__oreprocessing__/graphics/icons/crystallized-iron-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[crystallized-iron-dust]",
    stack_size = 200
  },
  {
    type = "item",
    name = "crystallized-copper-dust",
    icon = "__oreprocessing__/graphics/icons/crystallized-copper-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "f[crystallized-copper-dust]",
    stack_size = 200
  },
  {
    type = "item",
    name = "matter-compilator",
    icon = "__oreprocessing__/graphics/icons/mattercompilator.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "e[matter-compilator]",
    place_result = "matter-compilator",
    stack_size = 10
  },
  {
    type = "item",
    name = "small-stone-chunk",
    icon = "__oreprocessing__/graphics/icons/stone-chunk.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[small-stone-chunk]",
    stack_size = 200
  },
  {
    type = "item",
    name = "stone-dust",
    icon = "__oreprocessing__/graphics/icons/stone-dust.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[stone-dust]",
    stack_size = 200
  },
  {
    type = "item",
    name = "slurry-stone",
    icon = "__oreprocessing__/graphics/icons/slurry-stone.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[slurry-stone]",
    stack_size = 200
  },
  {
    type = "item",
    name = "coal-chunk",
    icon = "__oreprocessing__/graphics/icons/coal-chunk.png",
    dark_background_icon = "__base__/graphics/icons/coal-dark-background.png",
    flags = {"goes-to-main-inventory"},
    fuel_value = "3MJ",
    subgroup = "raw-material",
    order = "b[coal-chunk]",
    stack_size = 50
  },
  {
    type = "item",
    name = "coal-coke-chunk",
    icon = "__oreprocessing__/graphics/icons/coal-coke-chunk.png",
    dark_background_icon = "__base__/graphics/icons/coal-dark-background.png",
    flags = {"goes-to-main-inventory"},
    fuel_value = "4MJ",
    subgroup = "raw-material",
    order = "b[coal-coke-chunk]",
    stack_size = 50
  },
  {
    type = "item",
    name = "material-enricher",
    icon = "__oreprocessing__/graphics/icons/material-enricher.png",
    flags = {"goes-to-quickbar"},
    subgroup = "smelting-machine",
    order = "c[material-enricher]",
    place_result = "material-enricher",
    stack_size = 10
  },
    {
    type = "item",
    name = "semi-enriched-iron-plate",
    icon = "__oreprocessing__/graphics/icons/semi-enriched-iron-plate.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[semi-enriched-iron-plate]",
    stack_size = 100
  },
    {
    type = "item",
    name = "semi-enriched-copper-plate",
    icon = "__oreprocessing__/graphics/icons/semi-enriched-copper-plate.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[semi-enriched-copper-plate]",
    stack_size = 100
  },
    {
    type = "item",
    name = "enriched-iron-plate",
    icon = "__oreprocessing__/graphics/icons/enriched-iron-plate.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[enriched-iron-plate]",
    stack_size = 100
  },
    {
    type = "item",
    name = "enriched-copper-plate",
    icon = "__oreprocessing__/graphics/icons/enriched-copper-plate.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "raw-resource",
    order = "e[enriched-copper-plate]",
    stack_size = 100
  },
  {
    type = "ammo",
    name = "semi-energized-bullet-magazine",
    icon = "__oreprocessing__/graphics/icons/semi-energized-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "bullet",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-explosion",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            },
            {
              type = "damage",
              damage = { amount = 8 , type = "physical"}
            }
          }
        }
      }
    },
    magazine_size = 10,
    subgroup = "ammo",
    order = "a[basic-clips]-b[semi-energized-bullet-magazine]",
    stack_size = 100
  },
  {
    type = "ammo",
    name = "energized-bullet-magazine",
    icon = "__oreprocessing__/graphics/icons/energized-bullet-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "bullet",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-explosion",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            },
            {
              type = "damage",
              damage = { amount = 13 , type = "physical"}
            }
          }
        }
      }
    },
    magazine_size = 10,
    subgroup = "ammo",
    order = "a[basic-clips]-b[energized-bullet-magazine]",
    stack_size = 100
  },
})