data:extend({
  {
    type = "technology",
    name = "advanced-ore-processing-1",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "pulverizer"
      },
      {
        type = "unlock-recipe",
        recipe = "orewasher"
      },
      {
        type = "unlock-recipe",
        recipe = "small-iron-chunk"
      },
      {
        type = "unlock-recipe",
        recipe = "small-copper-chunk"
      },
	  {
        type = "unlock-recipe",
        recipe = "small-clean-iron-chunk"
      },
    	  {
        type = "unlock-recipe",
        recipe = "small-clean-copper-chunk"
      },
      {
        type = "unlock-recipe",
        recipe = "small-stone-chunk"
      },
      {
        type = "unlock-recipe",
        recipe = "stone-brick2"
      },
	  {
        type = "unlock-recipe",
        recipe = "iron-plate2"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-plate3"
      },
	  {
        type = "unlock-recipe",
        recipe = "copper-plate2"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-plate3"
      },
      {
        type = "unlock-recipe",
        recipe = "coal-chunk"
      },
    },
    prerequisites = {"advanced-material-processing-2"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1}
      },
      time = 30
    },
    order = "a-h-c",
  },
  {
    type = "technology",
    name = "advanced-ore-processing-2",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "centrifuge"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-copper-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "crystallizer"
      },
      {
        type = "unlock-recipe",
        recipe = "crystallized-iron-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "crystallized-copper-dust"
      },
	  {
        type = "unlock-recipe",
        recipe = "stone-dust"
      },
      {
        type = "unlock-recipe",
        recipe = "stone-brick3"
      },
	  {
        type = "unlock-recipe",
        recipe = "iron-plate4"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-plate5"
      },
	  {
        type = "unlock-recipe",
        recipe = "copper-plate4"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-plate5"
      },
	  {
        type = "unlock-recipe",
        recipe = "stone-brick4"
      },
	  {
        type = "unlock-recipe",
        recipe = "slurry-stone"
      },
    },
    prerequisites = {"advanced-ore-processing-1"},
    unit =
    {
      count = 90,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1}
      },
      time = 30
    },
    order = "a-h-c",
  },
  {
    type = "technology",
    name = "matter-compilation",
    icon = "__oreprocessing__/graphics/technology/mattercompilation1.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "matter-compilator"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-ore1"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-ore1"
      },
	  {
        type = "unlock-recipe",
        recipe = "stone-ore1"
      },
      {
        type = "unlock-recipe",
        recipe = "coal2"
      },
    },
    prerequisites = {"advanced-ore-processing-2"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 1},
        {"alien-science-pack", 1},
      },
      time = 30
    },
    order = "a-h-c",
  },
    {
    type = "technology",
    name = "complex-material-processing-1",
    icon = "__oreprocessing__/graphics/technology/material-enrichment.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "coal-coke-chunk"
      },
      {
        type = "unlock-recipe",
        recipe = "material-enricher"
      },
      {
        type = "unlock-recipe",
        recipe = "semi-enriched-iron-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "steel-plate2"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-gear-wheel2"
      },
      {
        type = "unlock-recipe",
        recipe = "semi-enriched-copper-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-cable2"
      },
    },
    prerequisites = {"advanced-ore-processing-1"},
    unit =
    {
      count = 120,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
      },
      time = 30
    },
    order = "a-h-c",
  },
      {
    type = "technology",
    name = "complex-material-processing-2",
    icon = "__oreprocessing__/graphics/technology/material-enrichment.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "enriched-iron-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "steel-plate3"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-gear-wheel3"
      },
      {
        type = "unlock-recipe",
        recipe = "enriched-copper-plate"
      },
      {
        type = "unlock-recipe",
        recipe = "copper-cable3"
      },
      {
        type = "unlock-recipe",
        recipe = "iron-copper-dust2"
      },
      {
        type = "unlock-recipe",
        recipe = "solid-fuel2"
      },
    },
    prerequisites = {"complex-material-processing-1"},
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 2},
        {"science-pack-2", 2},
        {"science-pack-3", 2},
        {"alien-science-pack", 1},
      },
      time = 45
    },
    order = "a-h-c",
  },
    {
    type = "technology",
    name = "energized-ammo-1",
    icon = "__oreprocessing__/graphics/technology/energized-ammo-1.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "semi-energized-bullet-magazine"
      },
      {
        type = "unlock-recipe",
        recipe = "energized-bullet-magazine"
      },
    },
    prerequisites = {"complex-material-processing-1"},
    unit =
    {
      count = 80,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
      },
      time = 30
    },
    order = "a-h-c",
  },
})
