data:extend({
  {
    type = "recipe",
    name = "pulverizer",
    energy_required = 10,
    enabled = "false",
    ingredients = {{"steel-plate", 20}, {"iron-gear-wheel", 10}, {"advanced-circuit", 7}, {"stone-brick", 20}},
    result = "pulverizer"
  },
  {
    type = "recipe",
    name = "small-copper-chunk",
    enabled = "false",
    category = "oreprocess",
    energy_required = 9,
    ingredients = {{ "copper-ore", 1}},
    results = {{"small-copper-chunk", amount=7}},
  },
  {
    type = "recipe",
    name = "small-iron-chunk",
    enabled = "false",
    category = "oreprocess",
    energy_required = 9,
    ingredients = {{"iron-ore", 1}},
    results = {{"small-iron-chunk", amount=7}},
  },
  {
    type = "recipe",
    name = "copper-plate2",
	enabled = "false",
    category = "smelting",
    energy_required = 5.5,
    ingredients = {{"small-copper-chunk", 6}},
    results = {{"copper-plate", amount=1}}
  },
  {
    type = "recipe",
    name = "iron-plate2",
	enabled = "false",
    category = "smelting",
    energy_required = 5.5,
    ingredients = {{"small-iron-chunk", 6}},
    results = {{"iron-plate", amount=1}},
  },
  {
    type = "recipe",
    name = "coal-chunk",
    enabled = "false",
    category = "oreprocess",
    energy_required = 5,
    ingredients = {{"coal", 1}},
    results = {{"coal-chunk", amount=5}},
  },
  {
    type = "recipe",
    name = "orewasher",
    energy_required = 10,
    enabled = "false",
    ingredients =
    {
      {"steel-plate", 20},
      {"iron-gear-wheel", 30},
      {"advanced-circuit", 8},
      {"pipe", 10}
    },
    result= "orewasher"
  },
  {
    type = "recipe",
    name = "small-clean-iron-chunk",
    energy_required = 11,
    enabled = "false",
    category = "orewash",
    ingredients =
    {
      {type="item", name="small-iron-chunk", amount=6},
      {type="fluid", name="water", amount=1},
    },
    results = {{"small-clean-iron-chunk", 7}},
  },
  {
    type = "recipe",
    name = "small-clean-copper-chunk",
    energy_required = 11,
    enabled = "false",
    category = "orewash",
    ingredients =
    {
      {type="item", name="small-copper-chunk", amount=6},
      {type="fluid", name="water", amount=1},
    },
    results = {{"small-clean-copper-chunk", 7}},
  },
  {
    type = "recipe",
    name = "copper-plate3",
	enabled = "false",
    category = "smelting",
    energy_required = 4.5,
    ingredients = {{"small-clean-copper-chunk", 6}},
    results = {{"copper-plate", amount=1}}
  },
  {
    type = "recipe",
    name = "iron-plate3",
	enabled = "false",
    category = "smelting",
    energy_required = 4.5,
    ingredients = {{"small-clean-iron-chunk", 6}},
    results = {{"iron-plate", amount=1}}
  },
  {
    type = "recipe",
    name = "centrifuge",
    energy_required = 12,
    enabled = "false",
    ingredients = {{"steel-plate", 30}, {"speed-module", 5}, {"advanced-circuit", 10}, {"processing-unit", 5}},
    result = "centrifuge"
  },
  {
    type = "recipe",
    name = "iron-dust",
    energy_required = 14,
    enabled = "false",
    category = "centrifuge",
    ingredients = {{"small-clean-iron-chunk", 6}},
    results = 
    {
      {type="item", name="iron-dust", amount=6},
      {type="item", name="copper-dust", amount=1},
    },
    icon = "__oreprocessing__/graphics/icons/iron-dust.png",
	subgroup = "barrel",
  },
  {
    type = "recipe",
    name = "copper-dust",
    energy_required = 14,
    enabled = "false",
    category = "centrifuge",
    ingredients = {{"small-clean-copper-chunk", 6}},
    results =
    {
      {type="item", name="copper-dust", amount=6},
      {type="item", name="iron-dust", amount=1},
    },
    icon = "__oreprocessing__/graphics/icons/copper-dust.png",
	subgroup = "barrel",
  },
  {
    type = "recipe",
    name = "copper-plate4",
	enabled = "false",
    category = "smelting",
    energy_required = 4,
    ingredients = {{"copper-dust", 6}},
    results = {{"copper-plate", amount=1}},
  },
  {
    type = "recipe",
    name = "iron-plate4",
	enabled = "false",
    category = "smelting",
    energy_required = 4,
    ingredients = {{"iron-dust", 6}},
    results = {{"iron-plate", amount=1}},
  },
  {
    type = "recipe",
    name = "crystallizer",
    energy_required = 10,
    enabled = "false",
    ingredients = {{"stone-brick", 100}, {"iron-stick", 130}, {"science-pack-2", 10}, {"processing-unit", 8}},
    result = "crystallizer"
  },
  {
    type = "recipe",
    name = "crystallized-iron-dust",
    enabled = "false",
    category = "crystallization",
    energy_required = 21,
    ingredients = {
      {type="item", name="iron-dust", amount=20},
      {type="fluid", name="petroleum-gas", amount=0.1},
},
    results = {{"crystallized-iron-dust", amount=24}},
  },
  {
    type = "recipe",
    name = "crystallized-copper-dust",
    enabled = "false",
    category = "crystallization",
    energy_required = 21,
    ingredients = {
      {type="item", name="copper-dust", amount=20},
      {type="fluid", name="petroleum-gas", amount=0.1},
},
    results = {{"crystallized-copper-dust", amount=24}},
  },
  {
    type = "recipe",
    name = "copper-plate5",
	enabled = "false",
    category = "smelting",
    energy_required = 4.5,
    ingredients = {{"crystallized-copper-dust", 6}},
    results = {{"copper-plate", amount=1}},
  },
  {
    type = "recipe",
    name = "iron-plate5",
    enabled = "false",
    category = "smelting",
    energy_required = 4.5,
    ingredients = {{"crystallized-iron-dust", 6}},
    results = {{"iron-plate", amount=1}},
  },
  {
    type = "recipe",
    name = "matter-compilator",
    energy_required = 10,
    enabled = "false",
    ingredients = {{"steel-plate", 36}, {"crystallized-iron-dust", 700}, {"science-pack-3", 10}, {"processing-unit", 9}},
    result = "matter-compilator"
  },
  {
    type = "recipe",
    name = "iron-ore1",
    enabled = "false",
    category = "compilation",
    energy_required = 20,
    ingredients = {{"crystallized-iron-dust", 8}},
    results = {{"iron-ore", amount=1}},
  },
  {
    type = "recipe",
    name = "copper-ore1",
    enabled = "false",
    category = "compilation",
    energy_required = 20,
    ingredients = {{"crystallized-copper-dust", 8}},
    results = {{"copper-ore", amount=1}},
  },
  {
    type = "recipe",
    name = "small-stone-chunk",
    enabled = "false",
    category = "oreprocess",
    energy_required = 8,
    ingredients = {{ "stone", 1}},
    results = {{"small-stone-chunk", amount=7}},
  },
  {
    type = "recipe",
    name = "stone-brick2",
	enabled = "false",
    category = "smelting",
    energy_required = 5,
    ingredients = {{"small-stone-chunk", 12}},
    results = {{"stone-brick", amount=1}},
  },
  {
    type = "recipe",
    name = "stone-dust",
    energy_required = 12,
    enabled = "false",
    category = "centrifuge",
    ingredients = {{"small-stone-chunk", 6}},
    results = 
    {
      {type="item", name="stone-dust", amount=7},
    },
  },
  {
    type = "recipe",
    name = "stone-brick3",
	enabled = "false",
    category = "smelting",
    energy_required = 4,
    ingredients = {{"stone-dust", 12}},
    results = {{"stone-brick", amount=1}},
  },
  {
    type = "recipe",
    name = "slurry-stone",
    energy_required = 15,
    enabled = "false",
    category = "crystallization",
    ingredients =
    {
      {type="item", name="stone-dust", amount=5},
      {type="fluid", name="light-oil", amount=0.1},
    },
    results = {{"slurry-stone", 6}},
  },
  {
    type = "recipe",
    name = "stone-brick4",
    enabled = "false",
    category = "smelting",
    energy_required = 5,
    ingredients = {{"slurry-stone", 12}},
    results = {{"stone-brick", amount=1}},
  },
  {
    type = "recipe",
    name = "stone-ore1",
    enabled = "false",
    category = "compilation",
    energy_required = 20,
    ingredients = {{"slurry-stone", 7}},
    results = {{"stone", amount=1}},
  },
  {
    type = "recipe",
    name = "coal-coke-chunk",
    enabled = "false",
    category = "enrichment",
    energy_required = 5,
    ingredients = {{"coal-chunk", 4}},
    results = {{"coal-coke-chunk", amount=5}},
  },
  {
    type = "recipe",
    name = "material-enricher",
    energy_required = 20,
    enabled = "false",
    ingredients = {{"assembling-machine-2", 1}, {"productivity-module", 4}, {"processing-unit", 4}, {"small-stone-chunk", 150}},
    result = "material-enricher"
  },
  {
    type = "recipe",
    name = "semi-enriched-iron-plate",
    energy_required = 7,
    enabled = "false",
    category = "enrichment",
    ingredients = {{"iron-plate", 1}, {"small-clean-iron-chunk", 1}},
    result = "semi-enriched-iron-plate"
  },
  {
    type = "recipe",
    name = "steel-plate2",
    energy_required = 10,
    enabled = "false",
    category = "smelting",
    ingredients = {{"semi-enriched-iron-plate", 3}},
    result = "steel-plate"
  },
      {
    type = "recipe",
    name = "iron-gear-wheel2",
    energy_required = 3,
    enabled = "false",
    ingredients = {{"semi-enriched-iron-plate", 4}},
    results = {{"iron-gear-wheel", amount=3}},
  },
    {
    type = "recipe",
    name = "semi-enriched-copper-plate",
    energy_required = 7,
    enabled = "false",
    category = "enrichment",
    ingredients = {{"copper-plate", 1}, {"small-clean-copper-chunk", 1}},
    result = "semi-enriched-copper-plate"
  },
        {
    type = "recipe",
    name = "copper-cable2",
    energy_required = 2,
    enabled = "false",
    ingredients = {{"semi-enriched-copper-plate", 1}},
    results = {{"copper-cable", amount=3}},
  },
    {
    type = "recipe",
    name = "coal2",
    enabled = "false",
    category = "compilation",
    energy_required = 14,
    ingredients = {{"coal-coke-chunk", 3}},
    results = {{"coal", amount=1}},
  },
    {
    type = "recipe",
    name = "solid-fuel2",
    enabled = "false",
    category = "enrichment",
    energy_required = 6,
    ingredients = {{"coal-coke-chunk", 4}},
    results = {{"solid-fuel", amount=1}},
  },
    {
    type = "recipe",
    name = "enriched-iron-plate",
    enabled = "false",
    category = "enrichment",
    energy_required = 7,
    ingredients = {{"semi-enriched-iron-plate", 1}, {"crystallized-iron-dust", 1},},
    results = {{"enriched-iron-plate", amount=1}},
  },
    {
    type = "recipe",
    name = "steel-plate3",
    enabled = "false",
    category = "smelting",
    energy_required = 10,
    ingredients = {{"enriched-iron-plate", 2}},
    results = {{"steel-plate", amount=1}},
  },
    {
    type = "recipe",
    name = "iron-gear-wheel3",
    enabled = "false",
    energy_required = 5,
    ingredients = {{"enriched-iron-plate", 1}},
    results = {{"iron-gear-wheel", amount=1}},
  },
    {
    type = "recipe",
    name = "enriched-copper-plate",
    energy_required = 7,
    enabled = "false",
    category = "enrichment",
    ingredients = {{"semi-enriched-copper-plate", 1}, {"crystallized-copper-dust", 1}},
    result = "enriched-copper-plate"
  },
        {
    type = "recipe",
    name = "copper-cable3",
    energy_required = 4,
    enabled = "false",
    ingredients = {{"enriched-copper-plate", 1}},
    results = {{"copper-cable", amount=5}},
  },
  {
    type = "recipe",
    name = "iron-copper-dust",
    energy_required = 20,
    enabled = "false",
    category = "centrifuge",
    ingredients =
    {
      {type="item", name="small-clean-copper-chunk", amount=20},
      {type="item", name="small-clean-iron-chunk", amount=20},
      {type="item", name="coal-chunk", amount=2},
    },
    results =
    {
      {"copper-dust", 25},
      {"iron-dust", 25},
    },
    icon = "__oreprocessing__/graphics/icons/iron-copper-dust.png",
	subgroup = "barrel",
  },
  {
    type = "recipe",
    name = "iron-copper-dust2",
    energy_required = 9,
    enabled = "false",
    category = "centrifuge",
    ingredients =
    {
      {type="item", name="small-clean-copper-chunk", amount=10},
      {type="item", name="small-clean-iron-chunk", amount=10},
      {type="item", name="coal-coke-chunk", amount=1},
    },
    results =
    {
      {"copper-dust", 13},
      {"iron-dust", 13},
    },
    icon = "__oreprocessing__/graphics/icons/iron-copper-dust2.png",
	subgroup = "barrel",
  },
  {
    type = "recipe",
    name = "semi-energized-bullet-magazine",
    enabled = false,
    energy_required = 20,
    category = "enrichment",
    ingredients =
    {
      {"semi-enriched-iron-plate", 1},
      {"piercing-bullet-magazine", 1}
    },
    result = "semi-energized-bullet-magazine"
  },
  {
    type = "recipe",
    name = "energized-bullet-magazine",
    enabled = false,
    energy_required = 25,
    category = "enrichment",
    ingredients =
    {
      {"enriched-iron-plate", 1},
      {"semi-energized-bullet-magazine", 1}
    },
    result = "energized-bullet-magazine"
  },
})